Project

General

Profile

Bug #12867

build a pycurl for SLF5 that handles TLS correctly

Added by Dennis Box almost 5 years ago. Updated almost 5 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
-
Target version:
Start date:
06/06/2016
Due date:
% Done:

0%

Estimated time:
First Occurred:
Occurs In:
Stakeholders:
Duration:

Description

see INC000000714879, the 'current' pycurl is built with an old libcurl on SLF5 that does not handle TLS correctly

History

#1 Updated by Dennis Box almost 5 years ago

I built and installed this:
[dbox@fermicloud060 client]$ echo $PYCURL_DIR
/grid/fermiapp/products/common/db/../prd/pycurl/v7_19_5_3/Linux64bit-2-6-2-5
[dbox@fermicloud060 client]$ ls $PYCURL_DIR
lib pycurl README ups
[dbox@fermicloud060 client]$ cat $PYCURL_DIR/README
Product: pycurl 7.19.5.3 -f Linux64bit+2.6-2.5 (SL5)
Packager: Dennis Box,
Date: Jun 3 2016
built with libcurl 7.49.1 and openssl 1.0.1 to enable TLS protocol
known to work with python 2.7 on SL5 systems. All others use at your own
convenience/risk, no other warranties implied or expressed.
[dbox@fermicloud060 client]$

I have tested it with gums authentication on a TLS-only jobsub server and it works.
I have not been able to test it with myproxy authentication due to #12866

#2 Updated by Dennis Box almost 5 years ago

  • Status changed from New to Resolved

This is "pycurl" "v7_19_5_3" "Linux64bit+2.6-2.5" "" "" in /grid/fermiapp

#3 Updated by Dennis Box almost 5 years ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF